hwloc (2.13.0~rc1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 01 Sep 2025 21:55:08 +0200

hwloc (2.12.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Aug 2025 18:43:54 +0200

hwloc (2.12.2~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Aug 2025 22:23:09 +0200

hwloc (2.12.1-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 May 2025 11:30:01 +0200

hwloc (2.12.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - patches/fix-test-several-levels-same-type: Upstreamed.
    - patches/work_around_legacy_max_proc_being_0: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 May 2025 15:38:37 +0200

hwloc (2.12.0-4) unstable; urgency=medium

  * control: Drop librocm-smi-dev build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 May 2025 02:28:29 +0200

hwloc (2.12.0-3) unstable; urgency=medium

  * patches/fix-test-several-levels-same-type: Fix test when host has several
    levels with same type (Closes: Bug#1103282)
  * patches/work_around_legacy_max_proc_being_0: Fix undefined behavior on
    systems with bogus legacy_max_proc information.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2025 17:13:06 +0200

hwloc (2.12.0-2) unstable; urgency=medium

  * control: Add librocm-smi-dev libze-dev libibverbs-dev build-deps.
  * patches/verbosity: Reduce verbosity of initialization errors of rocm and
    levelzero.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Feb 2025 13:26:46 +0100

hwloc (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * tests-patches/use_system_hwloc: Refresh patch.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Feb 2025 17:18:02 +0100

hwloc (2.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 11 Feb 2025 14:17:32 +0100

hwloc (2.11.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/bash-completion: Upstreamed.
  * tests/tests: Always unpatch on exit.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Sep 2024 16:58:41 +0200

hwloc (2.11.0-2) unstable; urgency=medium

  * patches/bash-completion: Fix bash completion syntax error.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Jul 2024 08:15:39 +0200

hwloc (2.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 25 Jun 2024 21:56:11 +0200

hwloc (2.11.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * watch: Track 2.11.
  * control: Replace pkg-config build-dep with pkgconf.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Jun 2024 14:56:52 +0200

hwloc (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Disable gather topology test on hppa.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Dec 2023 13:32:39 +0100

hwloc (2.10.0~rc2-1) experimental; urgency=medium

  * New upstream RC release.
    - patches/smbios-big-endian: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Nov 2023 14:11:22 +0100

hwloc (2.10.0~rc1-2) experimental; urgency=medium

  * patches/smbios-big-endian: Fix smbios on big-endian architectures.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 23 Nov 2023 13:08:47 +0100

hwloc (2.10.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - debian/tests-patches/use_system_hwloc: Refrsh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 21 Nov 2023 15:16:41 +0100

hwloc (2.9.3-2) unstable; urgency=medium

  * control, rules: Add pkg.hwloc.minimum and nodoc build profiles to ease
    bootstrapping ports with openmpi used by boost etc.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Nov 2023 20:10:42 +0100

hwloc (2.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Sep 2023 20:28:47 +0200

hwloc (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate build-dep from libncurses5-dev to libncurses-dev.
  * control: Generalize pattern to support hurd-amd64.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Jun 2023 11:05:10 +0200

hwloc (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Dec 2022 16:15:43 +0100

hwloc (2.9.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Dec 2022 23:42:54 +0100

hwloc (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Jul 2022 12:56:04 +0200

hwloc (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
    - debian/libhwloc-doc.lintian-overrides: Update overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 29 Jun 2022 15:10:21 +0200

hwloc (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Use valgrind-if-available instead of hardcoding a list.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Mar 2022 13:34:40 +0100

hwloc (2.7.1~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * libhwloc-doc.lintian-overrides: Revert change to lintian unstable output.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Mar 2022 10:47:14 +0100

hwloc (2.7.0-2) unstable; urgency=medium

  * libhwloc-doc.lintian-overrides: Play cat and mice again with lintian
    warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:34:26 +0100

hwloc (2.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 13 Dec 2021 11:19:01 +0100

hwloc (2.7.0~rc1-1) experimental; urgency=medium

  * New upstream RC release.
  * watch: Watch 2.7 series.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Dec 2021 16:03:53 +0100

hwloc (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Oct 2021 10:39:26 +0200

hwloc (2.6.0~rc1-2) experimental; urgency=medium

  * tests-patches/use_system_hwloc: Update autopkgtest tweaks.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Oct 2021 18:04:25 +0200

hwloc (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream rc release.
  * control: Add libltdl-dev build-dep on non-glibc ports.
  * watch: Update to 2.6 series.
  * gbp.conf: Use filter to produce orig tarball.
  * libhwloc-doc.lintian-overrides: Update lintian overrides.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Oct 2021 16:55:18 +0200

hwloc (2.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Aug 2021 02:02:40 +0200

hwloc (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 14 Jun 2021 15:46:31 +0200

hwloc (2.5.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream rc release (Closes: Bug#994049).
    - tests-patches/use_system_hwloc: Refresh.
  * control: Set Rules-Requires-Root to no.
  * watch: Watch version 2.5 series.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Jun 2021 11:17:45 +0200

hwloc (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Feb 2021 18:21:18 +0100

hwloc (2.4.1~rc3+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release candidate.
    - patches/git-update: merged.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Feb 2021 10:40:04 +0100

hwloc (2.4.1~rc2+dfsg-2) unstable; urgency=medium

  * tests/control: Add now-missing debhelper dependency, fixes dh-autoreconf
    migration.
  * patches/git-update: Update from 2.4 tree.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Feb 2021 00:53:23 +0100

hwloc (2.4.1~rc2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release candidate.
    - patches/parallel_dep: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 03 Feb 2021 21:14:23 +0100

hwloc (2.4.1~rc1+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream bugfix release candidate.

  [ Helmut Grohne ]
  * Reduce Build-Depends: (Closes: #981134)
    + Restrict libltdl-dev dependency to !glibc systems as hwloc prefers
      dlopen for glibc.
    + Annotate test dependency libxml2-utils <!nocheck>.

  [ Samuel Thibault ]
  * patches/parallel_dep: Fix parallel build in doc/.
  * rules: At clean time, remove the generated doc, to make sure we rebuild
    it.
  * control: Comment out w3m dependency until we need to regenerated README.

  [ Brice Goglin ]
  * control: Annotate test dependency libnuma-dev <!nocheck>.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Jan 2021 20:27:41 +0100

hwloc (2.4.0+dfsg-3) unstable; urgency=medium

  * control: Update packaging URL.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 31 Dec 2020 15:21:52 +0100

hwloc (2.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 15:51:15 +0100

hwloc (2.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Dec 2020 15:25:56 +0100

hwloc (2.4.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
    - patches/opencl-1001: Upstreamed.
  * hwloc{-nox,}.docs: Install dynamic_SVG_example.html.
  * not-installed: Note that we don't install .la files and .a versions of
    plugins.
  * hwloc{-nox,}.install: Install the bash completion file.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Nov 2020 18:34:54 +0100

hwloc (2.3.0+dfsg-2) unstable; urgency=medium

  * patches/opencl-1001: opencl: don't warn when clGetPlatformIds() returns
    -1001.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Oct 2020 16:58:46 +0200

hwloc (2.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 Oct 2020 00:58:21 +0200

hwloc (2.3.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream rc.
    - patches/thr.h: Upstreamed.
    - patches/which_domain: Upstreamed.
    - tests-patches/use_system_hwloc: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2020 00:56:52 +0200

hwloc (2.2.0+dfsg-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Build-dep on dh-exec.
  * hwloc-nox.install*, hwloc.install*: Use dh-exec to simplify files.
  * Move tests patches from patches to tests-patches.
  * watch: Fix watching 2.2 series. Also watch 2.3, in preparation.

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.11.3-1, 1.6-1.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Sep 2020 00:53:20 +0200

hwloc (2.2.0+dfsg-3) unstable; urgency=medium

  * patches/which_domain: Fix build on kfreebsd-any.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 01:06:41 +0200

hwloc (2.2.0+dfsg-2) unstable; urgency=medium

  * control: Drop valgrind build-dep on x32, it is not actually currently
    available there.
  * patches/thr.h: Fix build on kfreebsd-any.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 31 Mar 2020 00:15:14 +0200

hwloc (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#947912)
    - patches/hurd-mem: Upstreamed.
  * control: Drop mention of mips. Enable libnuma-dev dep on all linux archs.
    Enable valgrind dep on x32.
  * hwloc-nox.install.*: Add missing /usr/sbin/hwloc-dump-hwdata.
  * debian/tests: Instead of tinkering with each script, just make the normal
    make check use the system-provided tools.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Mar 2020 21:39:10 +0200

hwloc (2.1.0+dfsg-4) unstable; urgency=medium

  [ Steve Langasek ]
  * control: Drop libibverbs-dev build-dependency, only a test needs it, and
    buildd box most probably don't have ibv set up anyway (Closes: Bug#950067)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Mar 2020 12:32:28 +0100

hwloc (2.1.0+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name
    (from ./configure).
  * Drop unnecessary dependency on dh-autoreconf.
  * Drop unnecessary dh arguments: --parallel
  * Rely on pre-initialized dpkg-architecture variables.

  [ Samuel Thibault ]
  * control: Add libxnvctrl-dev build-dep to ship the opengl plugin.
  * control: Make libhwloc-plugins package break+replace
    libhwloc-contrib-plugins which used to ship the opengl plugin.
  * patches/hurd-mem: Add memsize support for hurd-i386.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Jan 2020 15:01:22 +0100

hwloc (2.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Nov 2019 14:27:34 +0100

hwloc (2.1.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - tests/test-util: Update list of tools.
    - tests/gather: Ignore warning about is_thisystem.
    - tests/fake-plugin: Drop, this plugin is not actually shipped.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 13 Oct 2019 18:42:11 +0200

hwloc (2.0.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/tests/test-util:
    - Add missing @DIFF@ replacement.
    - Fix getting upstream version.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Jun 2019 22:43:03 +0200

hwloc (2.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Dec 2018 16:27:38 +0100

hwloc (2.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libhwloc5 to libhwloc15 according to soname bump.
  * tests/: Update tests.
  * source.lintian-override: Ignore missing conflict between hwloc-dbgsym and
    hwloc-nox-dbgsym, the corresponding packages explicitly conflict already.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Sep 2018 12:35:16 +0200

hwloc (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * patches/ia64-shmem: Remove, upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Feb 2018 22:40:49 +0100

hwloc (2.0.0~rc2-2) experimental; urgency=medium

  * patches/ia64-shmem: Cherry-pick fix for IA64.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jan 2018 19:42:36 +0100

hwloc (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * patches/autogen,memfix,glcl_test: Remove, fixed upstream.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2018 22:43:11 +0100

hwloc (2.0.0~beta1-4) experimental; urgency=medium

  * Fix get_last_cpu_location test for builds within qemu-user, which
    introduce an additional thread.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Dec 2017 12:12:54 +0100

hwloc (2.0.0~beta1-3) experimental; urgency=medium

  * rules: Dump test failure logs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Dec 2017 23:46:46 +0100

hwloc (2.0.0~beta1-2) experimental; urgency=medium

  * control: Make libudev-dev dependency linux-only.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Dec 2017 20:40:37 +0100

hwloc (2.0.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    - Rename libhwloc5 to libhwloc12 according to soname bump.
    - Drop old compatibility links, now useless.
    - patches/cpuset_ABI: Remove patch since we bump the ABI.
    - patches/bashism: Remove patch, source disappeared.
    - patches/format: Patch merged upstream.
    - patches/autogen: Add dump netloc/Makefile.am so autogen can run.
    - patches/memfix: Fix bug with single NUMA memory object addition.
  * control:
    - Add w3m and libudev-dev build-depend.
    - Bump Standards-Version to 4.1.1 (no changes).
    - Drop spurious old provides/conflicts/replaces for libhwloc0-5.
  * rules: Don't abort the whole testsuite if one test fails.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Dec 2017 09:54:56 +0100

hwloc (1.11.13-2) UNRELEASED; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * control: Only suggest libhwloc-contrib-plugins where it is available, on
    amd64.
  * source/options: Drop compression option.
  * libhwloc-doc.lintian-overrides: Silence warnings.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 23:36:28 +0200

hwloc (1.11.13-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Jul 2019 17:33:43 +0200

hwloc (1.11.12-3) unstable; urgency=medium

  * watch: Add.
  * patches/doc-nopdf: Disable building pdf version of documentation.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 00:38:46 +0100

hwloc (1.11.12-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Dec 2018 16:19:49 +0100

hwloc (1.11.11-2) unstable; urgency=medium

  * debian/tests/test-util: Automatically get hwloc version (Closes: #908100).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Sep 2018 11:12:43 +0200

hwloc (1.11.11-1) unstable; urgency=medium

  * New upstream release.
    - patches/test-xml: Remove patch, merged upstream.
  * control: Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 05 Sep 2018 16:12:21 +0200

hwloc (1.11.10-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.5 (no changes).
  * patches/test-xml: cherry-pick upstream fix for xml test.
  * tests/: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jul 2018 02:51:28 +0200

hwloc (1.11.10-2) unstable; urgency=medium

  [ Alexander Kurtz ]
  * control: Mark libhwloc-plugins as Multi-Arch: same (Closes: Bug#901558).

  [ Helmut Grohne ]
  * Mark libhwloc-common and libhwloc-doc Multi-Arch: foreign.

  [ Samuel Thibault ]
  * Use https URL
  * Bump Standards-Version to 4.1.4

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Jun 2018 15:39:50 +0200

hwloc (1.11.10-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2018 11:46:01 +0200

hwloc (1.11.9-1) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.1 (no changes).
  * patches/format: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Jan 2018 09:46:54 +0100

hwloc (1.11.8-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.
  * patches/format: Avoid letting snprintf interpret process name as format.
  * control: Make libhwloc-plugins depend only on the same upstream source
    version, that is where plugin compatibility is guaranteed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Sep 2017 17:44:42 +0200

hwloc (1.11.7-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Apr 2017 16:56:32 +0200

hwloc (1.11.6-1) experimental; urgency=medium

  * New upstream release.
  * control: Make libhwloc-plugins depend on the same version of libhwloc5.
    Closes: #846128.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Nov 2016 16:54:46 +0100

hwloc (1.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Nov 2016 11:20:05 +0100

hwloc (1.11.4-1) unstable; urgency=medium

  * New upstream release.
  * rules: Re-enable parallel build.
  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/test-fix: Remove upstream fix.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2016 10:14:01 +0200

hwloc (1.11.3-2) unstable; urgency=medium

  * patches/test-fix: Update to upstream fix.
  * control: Build-depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 May 2016 01:29:42 +0200

hwloc (1.11.3-1) unstable; urgency=medium

  * New upstream release
    - control: Add valgrind build-dep.
    - patch/private_doxygen: Remove, merged upstream.
  * patches/test-fix: Fix an xml testcase.
  * rules: Do not ignore testsuite failure.
  * contrib: control: Restrict to amd64, only architecture supported by nvidia.
  * contrib: rules: Make dh_auto_install in debian/tmp, so dh_install can still
    work.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Apr 2016 18:56:17 +0200

hwloc (1.11.2-3) unstable; urgency=medium

  * Also install hwloc-dump-hwdata on linux x32.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/private_doxygen: New upstream patch to fix build now that doxygen
    respects \private. Closes: #814493.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Feb 2016 17:22:40 +0100

hwloc (1.11.2-2) unstable; urgency=medium

  * Only install hwloc-dump-hwdata on linux x86.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 20:14:57 +0100

hwloc (1.11.2-1) unstable; urgency=medium

  * New upstream release
    - hwloc.install: Add /usr/sbin for hwloc-dump-hwdata.
  * control:
    - Drop multiarch-support pre-depend.
    - Enable numa on mips64*. Closes: #806700.
  * compat: Bump to 9.
  * rules: Clear.
  * hwloc.menu: Remove, replaced by desktop file.
  * patches/bashism: Make hwloc-assembler-remote use bash since it uses
    bashisms. Closes: #772231.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 18:31:50 +0100

hwloc (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Add opencl-dev build-dep alternative to ocl-icd-opencl-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Oct 2015 18:35:48 +0200

hwloc (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: drop jquery.js.
  * control: make libhwloc-doc depend on libjs-jquery to get jquery.js.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Jun 2015 10:00:13 +0200

hwloc (1.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 May 2015 20:08:01 +0200

hwloc (1.10.0-3) unstable; urgency=medium

  * Make packages depend on at least the same version of libhwloc5.
    Closes: #767687.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Nov 2014 15:25:24 +0100

hwloc (1.10.0-2) unstable; urgency=medium

  * control:
    - Add common tools names in the description of hwloc.
    - Add arm64, ppc64el and sparc in list of archs with libnuma-dev.
    - Make libhwloc-dev depend on libnuma-dev only where it is used.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Oct 2014 16:22:19 +0200

hwloc (1.10.0-1) unstable; urgency=medium

  * New upstream release.
    - control: make libhwloc5 Break older libhwloc-plugins.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Fix libhwloc-dev Depends.
  * libhwloc-doc.docs: Add doc/examples.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Oct 2014 14:37:38 +0200

hwloc (1.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Aug 2014 14:50:07 +0200

hwloc (1.9-5) unstable; urgency=medium

  * Use dh_autoreconf. Closes: #755824.
  * patches/desktop: Upstream patch to add desktop file for menu integration.
    Closes: #758252.
  * hwloc.install: Add desktop file.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Aug 2014 23:50:44 +0200

hwloc (1.9-4) unstable; urgency=medium

  * Also ship lstopo-no-graphics in the hwloc package, to fix
    hwloc-gather-topology, and possibly other scripts that people might be
    using. Closes: #748927.
  * Drop autotools-dev and help2man build-dependencies, now unused.
  * Add --enable-doxygen to really build the documentation.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 10:11:54 +0200

hwloc (1.9-3) unstable; urgency=medium

  * Use [!hurd-i386] instead of [!hurd-any], the latter doesn't seem to be
    working.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2014 02:26:51 +0200

hwloc (1.9-2) unstable; urgency=medium

  * Do not depend on opencl-icd on hurd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 21:35:19 +0200

hwloc (1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Mar 2014 12:36:58 +0100

hwloc (1.8.1-1) unstable; urgency=medium

  * New upstream release. Closes: #737607.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Feb 2014 15:18:33 +0100

hwloc (1.8-1) unstable; urgency=low

  * New upstream release.
  * control: Update debian packaging VCS URL.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Nov 2013 13:59:51 +0100

hwloc (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * Add ocl-icd-opencl-dev and opencl-headers build-dependencies to build opencl
    plugin.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2013 12:41:33 +0200

hwloc (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * Move generated header to multiarch place. Closes: #707748.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 May 2013 01:14:30 +0200

hwloc (1.7-3) unstable; urgency=low

  * Do not symlink lstopo into hwloc-info any more.
  * control: explicitly build-depend on pkg-config for PCI support.
  * patches/cpuset_ABI: Restore cpuset functions which were dropped without
    soname bump. Closes: #707452.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 May 2013 12:04:12 +0200

hwloc (1.7-2) unstable; urgency=low

  * Upload to unstable.
  * control:
    - Make libhwloc5 Suggest libhwloc-contrib-plugins.
    - Make libhwloc-plugins depend on libhwloc5.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 May 2013 15:19:47 +0200

hwloc (1.7-1) experimental; urgency=low

  * New upstream release.
  * control: Replace libpci-dev build-dep with libpciaccess-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Apr 2013 13:59:53 +0200

hwloc (1.6.1-1) experimental; urgency=low

  * New upstream release.
  * control: Make libhwloc-dev Multi-Arch: same.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Jan 2013 09:48:08 +0100

hwloc (1.6-2) experimental; urgency=low

  * rules: Enable plugins.
  * control:
    - Add libltdl-dev build-depends.
    - Add new hwloc-plugins package, containing libpci and libxml plugins.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Dec 2012 04:59:17 +0100

hwloc (1.6-1) experimental; urgency=low

  * New upstream release.
  * rules: Do not ignore all make distclean errors, only ignore Makefile not
    being present.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Dec 2012 20:28:04 +0100

hwloc (1.5-1) experimental; urgency=low

  * New upstream release.
  * patches/unitialized_bytes_r4576,gfbsd-ftbfs_r4578: Remove, merged
    upstream.
  * rules: Do not build hwloc twice any more, use lstopo-no-graphics for the
    hwloc-nox package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 20:27:11 +0200

hwloc (1.4.1-4) unstable; urgency=low

  * patches/gfbsd-ftbfs_r4578: New upstream patch to avoid missing
    cpuset_setaffinity function on kfreebsd-any
  * patches/unitialized_bytes_r4576: New upstream patch to fix uninitialized
    pointers in topology structure.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jul 2012 01:18:49 -0300

hwloc (1.4.1-3) unstable; urgency=low

  [ Julien Cristau ]
  * Restore ABI compatibility symlinks and provide/replace/conflict, except
    with non-dangling symlinks this time. Closes: #664571.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Jul 2012 22:13:03 -0300

hwloc (1.4.1-2) unstable; urgency=low

  * Remove ABI compatibility symlinks and provide/replace/conflict, ldconfig
    actually removes them so they do not actually work.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 01:43:52 +0200

hwloc (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:41:58 +0100

hwloc (1.4-1) unstable; urgency=low

  * New upstream release, rename libhwloc4 package into libhwloc5 due to
    soname change.
  * Add ABI compatibility symlinks, and make libhwloc5 provide, replace and
    conflict with previous versions.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jan 2012 17:00:20 +0100

hwloc (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Add hwloc-dev dependency on libpci-dev.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Dec 2011 13:46:54 +0100

hwloc (1.3-1) unstable; urgency=low

  * New upstream release, rename libhwloc3 package into libhwloc4 due to
    soname change.
  * debian/control: Build-Depend on libpci-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Nov 2011 23:08:06 +0100

hwloc (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2011 17:18:20 +0200

hwloc (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libhwloc-dev.install: Move pkg-config file to multiarch place.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Jun 2011 13:12:59 +0200

hwloc (1.2-3) unstable; urgency=low

  * debian/rules: Set libdir to DEB_HOST_MULTIARCH.
  * debian/control: Make libhwloc3 pre-depend on multiarch-support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jun 2011 12:38:54 +0200

hwloc (1.2-2) unstable; urgency=low

  * debian/rules: Use DEB_HOST_GNU_TYPE for /usr/lib path until shlibdeps
    finds libraries in DEB_HOST_MULTIARCH on any-i386.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 May 2011 10:24:47 +0200

hwloc (1.2-1) unstable; urgency=low

  * New upstream release, rename libhwloc2 package into libhwloc3 due to
    soname change.
  * debian/control:
    - Build-depend on dpkg-dev (>= 1.16)
    - Bump Standards-Version to 3.9.2
  * debian/rules: Use DEB_HOST_MULTIARCH for /usr/lib path.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Apr 2011 20:13:45 +0200

hwloc (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Replace doxygen+texlive* build dependency with
    doxygen-latex (Closes: Bug#616253).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 Mar 2011 15:06:51 +0100

hwloc (1.1.1-1) unstable; urgency=low

  * New upstream release, rename libhwloc1 package into libhwloc2 due to
    soname change.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2011 04:28:37 +0100

hwloc (1.1-2) experimental; urgency=low

  * Rename libhwloc0 packages name into libhwloc1 due to soname change.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Jan 2011 11:12:18 +0100

hwloc (1.1-1) experimental; urgency=low

  * New upstream release.
    - debian/patches/no-ibverbs-dep: Drop, merged upstream.
    - debian/copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 17 Dec 2010 01:51:24 +0100

hwloc (1.0.2-2) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.1 (no change needed).
    - Build-Depend on autoconf (>= 2.63), Build-conflicts with autoconf2.13
  * debian/rules:
    - Run autoconf before build to permit autoconf patches.
    - Remove configure on clean.
    - Fix typo for parallel build.
  * debian/patches/no-ibverbs-dep: New upstream patch to avoid libibverbs
    dependency.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Jul 2010 11:43:35 +0200

hwloc (1.0.2-1) unstable; urgency=low

  New upstream release.
  * debian/hwloc-nox.manpages, debian/hwloc.manpages: Install hwloc.7 too.
  * debian/libhwloc-doc.manpages: No need to install linux_* any more.
  * debian/control:
    - Bump Standards-Version to 3.9.0 (no change needed).
    - Replace [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] with [linux-any].

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Jul 2010 22:09:08 +0200

hwloc (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build-Depend on cdbs.
  * debian/rules: Include /usr/share/cdbs/1/class/langcore.mk instead of
    parsing DEB_BUILD_OPTIONS by hand, enable parallel build.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 May 2010 18:23:34 +0200

hwloc (1.0~rc1-1) experimental; urgency=low

  * New upstream release canditate.
  * debian/format/options: Switch to bz2 compression.
  * debian/control:
    - Fix libhwloc-common short description.
    - Remove duplicate Section field.
    - Bump Standards-Version to 3.8.4 (no change needed).
    - Add libibverbs-dev Build-Depends on Linux ports.
  * debian/rules: Pass --enable-static to configure.
  * debian/hwloc-nox.install: Use a wildcard instead of the list of hwloc-*
    tools.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Apr 2010 14:53:48 +0200

hwloc (0.9.3~rc1-1) unstable; urgency=low

  * New upstream bugfix release.
  * patches/binutils-gold.patch: Merged upstream.
  * patches/hwloc-hello.patch: Merged upstream.
  * control: Add Build-Depends-Indep: doxygen, texlive-latex-base, transfig to
    regenerate the documentation.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Nov 2009 20:42:08 +0100

hwloc (0.9.2-2) unstable; urgency=low

  * control:
    - Enable libnuma-dev build-dep only on archs which have it.
    - Add libncurses5-dev build-dep.
    - Add expanded "Hardware Locality" in the description.
  * rules: Run the testsuite but don't fail for now.
  * source/format: Switch to 3.0 format (quilt).
  * patches/binutils-gold.patch: Backported upstream patch to fix link
    with binutils-gold.
  * patches/hwloc-hello.patch: Backported upstream patch to always try
    to run hwloc-hello.
  * docs: Remove.
  * libhwloc-doc.install: Move documentation to /usr/share/doc/libhwloc-doc.
  * libhwloc-doc.docs: Add NEWS, README and html documentation.
  * hwloc.docs, hwloc-nox.docs: Add NEWS and README files.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Nov 2009 03:35:18 +0100

hwloc (0.9.2-1) unstable; urgency=low

  * Initial release (Closes: Bug#535615)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Aug 2009 01:35:03 +0200
